0 Replies Latest reply on Mar 1, 2011 12:03 PM by Van Halbert

    FYI: building 2.5 using maven 2.2.1 fails

    Van Halbert Master

      You will see the following error when building 2.5 using maven 2.2.1:

       

      INFO] ------------------------------------------------------------------------

      [INFO] Building ModeShape Maven Classloader

      [INFO]    task-segment: [clean, install]

      [INFO] ------------------------------------------------------------------------

      ...

      INFO] ------------------------------------------------------------------------

      [ERROR] BUILD ERROR

      [INFO] ------------------------------------------------------------------------

      [INFO] Error reading assemblies: Descriptor with ID 'classloader-with-dependencies' not found

       

      After installing maven 3, I was able to build.